{"openapi":"3.1.0","info":{"title":"Chatbot Tracking API","version":"1.0"},"servers":[{"url":"https://tracking-prd.meudroz.com"}],"security":[{"bearerAuth":[]}],"paths":{"/dashboard/atendimentos/bot/{botId}/feedback/download/{dateFrom}/{dateTo}/{popup}":{"post":{"tags":["dashboard-controller"],"operationId":"downloadFeedbacksFromBotByDateRange","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"popup","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/download/{dateFrom}/{dateTo}/chats":{"post":{"tags":["dashboard-controller"],"operationId":"downloadTalksFromBotByDateRange","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTalkFiltersDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/download/talks/realTimeChats":{"post":{"tags":["dashboard-controller"],"operationId":"downloadRealTimeChatsFor","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTalkFiltersDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/dashboard/atendimentos/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalks","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkTrackingDto"}}}}}}}},"/dashboard/atendimentos/transbordos/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"getTotalTranshipment","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotConciergeDto"}}}}}}},"/dashboard/atendimentos/infos/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalksInfo","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkInfoDto"}}}}}}}},"/dashboard/atendimentos/infos/{botId}/{dateFrom}/{dateTo}/total/group/unique":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardgetTotalGroupChatsUnique","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericTotalDto"}}}}}}},"/dashboard/atendimentos/feedback/{botId}/{dateFrom}/{dateTo}/{popup}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalkFeedback","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"popup","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponseDto"}}}}}}},"/dashboard/atendimentos/feedback-popup/{botId}/{dateFrom}/{dateTo}/total":{"get":{"tags":["dashboard-controller"],"operationId":"totalPopup","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int32"}}}}}}}},"/dashboard/atendimentos/feedback-comments/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalkFeedbackComments","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBotTalkFeedbackDto"}}}}}}},"/dashboard/atendimentos/feedback-comments-type/{type}/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalkFeedbackCommentsType","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}},{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBotTalkFeedbackDto"}}}}}}},"/dashboard/atendimentos/feedback-comments-popup/{botId}/{dateFrom}/{dateTo}/{order}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalkFeedbackCommentsPopup","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"order","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBotTalkFeedbackDto"}}}}}}},"/dashboard/atendimentos/etapas/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalksByBlockName","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"language","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkBlocksDto"}}}}}}}},"/dashboard/atendimentos/etapas/retention/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalksByBlockNameRetention","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkBlocksRetentionDto"}}}}}}}},"/dashboard/atendimentos/etapas/old/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allTalksByBlockNameOld","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"language","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkBlocksOldDto"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardgetTotalChatsForAll","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/transferredChat":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalTransferredChatChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/retentionPoint":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalRetentionPointChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/retentionInteractedChats":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetTotalRetentionInteractedChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTalkTotalRetentionInteractedDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/redirectChat":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalRedirectChatChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/openTicket":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalOpenTicketChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/noRetention":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalNoRetention","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/interactedChats":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetTotalInteractedChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InteractedChatsResponseDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/finishedNoRetention":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalFinishedNoRetention","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/finishedChats/byType":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalFinishedChatsByType","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/finishedChat":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalFinishedChatChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/evolutionRetention":{"get":{"tags":["dashboard-controller"],"operationId":"getEvolutionRetentionPercentage","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EvolutionRetentionResponseDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/chats":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetTotalChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/chatsOpen":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalChatsOpen","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/total/abandoned":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardTotalAbandonedChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/evolutionInteractions":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardEvolutionInteractions","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTalkEvolutionInteractionDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/evolutionInteractionsUser":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardEvolutionInteractionsUser","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotTalkEvolutionInteractionUserDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/deviceIndicatorInteractions":{"get":{"tags":["dashboard-controller"],"operationId":"deviceIndicatorInteractions","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIndicatorResponseDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/averageTimeTalk":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardgetAverageTimeTalk","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AverageTimeResponseDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/averageTalkTimeIndicator":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetAverageTalkTimeIndicator","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TalkTimeIndicatorResponseDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/attendanceByTime":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetAttendanceByTime","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericLabelValueDto"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/{dateFrom}/{dateTo}/attendanceByDate":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetAttendanceByDate","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericLabelValueDto"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/talk/{talkId}/history":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetTalk","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"talkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryTalkDto"}}}}}}},"/dashboard/atendimentos/bot/{botId}/download/{dateFrom}/{dateTo}/feedbacks/negatives":{"get":{"tags":["dashboard-controller"],"operationId":"downloadFeedbacksNegativePopup","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/dashboard/atendimentos/bot/{botId}/dashboard/total/realTimeChats":{"get":{"tags":["dashboard-controller"],"operationId":"dashboardGetTotalRealTimeChats","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}}}},"/dashboard/accesses/bot/{botId}/{dateFrom}/{dateTo}":{"get":{"tags":["dashboard-controller"],"operationId":"allAccesses","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkTrackingDto"}}}}}}}},"/account":{"get":{"tags":["account-controller"],"operationId":"findAllAccount","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountDto"}}}}}}}},"/account/self":{"get":{"tags":["account-controller"],"operationId":"getCurrentAccountData","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountDto"}}}}}}},"/account/report/{month}/{year}/account/{accountEnable}":{"get":{"tags":["account-controller"],"operationId":"findAccountInfos","parameters":[{"name":"month","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"year","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"accountEnable","in":"path","required":true,"schema":{"type":"boolean"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"order","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"parameter","in":"query","required":false,"schema":{"type":"string","default":"account.name"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAccountMonthlyReportDto"}}}}}}},"/account/page":{"get":{"tags":["account-controller"],"operationId":"findAllPage","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"enabled","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"order","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"parameter","in":"query","required":false,"schema":{"type":"string","default":"name"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAccountDto"}}}}}}},"/account/infos/{month}/{year}":{"get":{"tags":["account-controller"],"operationId":"findInfos","parameters":[{"name":"month","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"year","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountReportDto"}}}}}}},"/account/infos/{month}/{year}/bots":{"get":{"tags":["account-controller"],"operationId":"findInfosAllBots","parameters":[{"name":"month","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"year","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountReportBotDto"}}}}}}}},"/account/infos/{month}/{year}/bot/{botId}":{"get":{"tags":["account-controller"],"operationId":"findInfosBot","parameters":[{"name":"month","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"year","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountReportBotDto"}}}}}}},"/account/infos/franquia":{"get":{"tags":["account-controller"],"operationId":"findFranquiaInfos","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FranquiaUsageDto"}}}}}}},"/account/infos/franquia/monthly":{"get":{"tags":["account-controller"],"operationId":"findFranquiaMonthlyInfos","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FranquiaMonthlyUsageDto"}}}}}}}},"/account/infos/bot/talk/evolution":{"get":{"tags":["account-controller"],"operationId":"findInfosEvolution","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountReportEvolutionDto"}}}}}}}},"/account/historyjson/{talkId}":{"get":{"tags":["account-controller"],"operationId":"historyJson","parameters":[{"name":"talkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryTalkResponseDto"}}}}}}},"/account/connector":{"get":{"tags":["account-controller"],"operationId":"connectorsGet","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConnectorMarketplaceDto"}}}}}}}},"/account/connector/{accountConnectorId}":{"get":{"tags":["account-controller"],"operationId":"connectorGet","parameters":[{"name":"accountConnectorId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConnectorDto"}}}}}}},"/account/connector/errors":{"get":{"tags":["account-controller"],"operationId":"connectorsErrosGet","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountConnectorErrorDto"}}}}}}}},"/account/checkToken":{"get":{"tags":["account-controller"],"operationId":"checkToken","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/account/captcha":{"get":{"tags":["account-controller"],"operationId":"findAllAccountWithCaptchaEnabled","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"filter","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"order","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"parameter","in":"query","required":false,"schema":{"type":"string","default":"name"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAccountDto"}}}}}}},"/account/bot/{botId}/talk/users-online":{"get":{"tags":["tracking-bot-controller"],"operationId":"listOnlineAndIdleTalks","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBotTalkOnlineIdleDto"}}}}}}},"/account/bot/{botId}/history/{talkId}":{"get":{"tags":["tracking-bot-controller"],"operationId":"historyGetTalkId","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"talkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryTalkResponseDto"}}}}}}},"/account/bot/{botId}/history/{talkId}/new":{"get":{"tags":["tracking-bot-controller"],"operationId":"historyGetTalkIdNew","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"talkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryTalkResponseDto"}}}}}}},"/account/bot/{botId}/history/talks":{"get":{"tags":["tracking-bot-controller"],"operationId":"historyGetTalks","parameters":[{"name":"botId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateFrom","in":"query","required":false,"schema":{"type":"string"}},{"name":"dateTo","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"email","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"isEngaged","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"showConciergeHistory","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":1}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":10}},{"name":"draw","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":10}},{"name":"exclusiveStartKey","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryTalkDatatableV2Dto"}}}}}}},"/account/all/{dateFrom}/{dateTo}":{"get":{"tags":["account-controller"],"operationId":"all","parameters":[{"name":"page","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"dateFrom","in":"path","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAccountSenseDataDto"}}}}}}}},"components":{"schemas":{"BotTalkFiltersDto":{"type":"object","properties":{"variables":{"type":"string"},"typeHistory":{"type":"boolean"}}},"BotTalkTrackingDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"sessionId":{"type":"string"},"status":{"type":"string"},"externalError":{"type":"string"},"accountName":{"type":"string"},"botName":{"type":"string"},"customerName":{"type":"string"},"customerEmail":{"type":"string"},"createdDate":{"type":"string","format":"date-time"}}},"BotConciergeDto":{"type":"object","properties":{"total":{"type":"integer","format":"int64"},"botConciergeSon":{"type":"array","items":{"$ref":"#/components/schemas/BotConciergeReturnDto"}}}},"BotConciergeReturnDto":{"type":"object","properties":{"name":{"type":"string"},"total":{"type":"integer","format":"int64"}}},"BotTalkInfoDto":{"type":"object","properties":{"browser":{"type":"string"},"browserVersion":{"type":"string"},"ip":{"type":"string"},"language":{"type":"string"},"mobile":{"type":"string"},"originUrl":{"type":"string"},"resolutionHeight":{"type":"string"},"resolutionWidth":{"type":"string"},"systemOs":{"type":"string"}}},"GenericTotalDto":{"type":"object","properties":{"total":{"type":"object"}}},"EvolutionAverageResponseDto":{"type":"object","properties":{"label":{"type":"string"},"quantidade":{"type":"number","format":"double"}}},"EvolutionFeedbackResponseDto":{"type":"object","properties":{"label":{"type":"string"},"quantidade":{"type":"number","format":"double"},"quantidadeDay":{"type":"number","format":"double"},"totalDayPositive":{"type":"number","format":"double"},"totalDayNegative":{"type":"number","format":"double"},"totalPositive":{"type":"number","format":"double"},"totalNegative":{"type":"number","format":"double"},"totalDay":{"type":"number","format":"double"}}},"FeedbackAverageNpsResponseDto":{"type":"object","properties":{"pie":{"type":"array","items":{"$ref":"#/components/schemas/EvolutionAverageResponseDto"}},"promotores":{"type":"number","format":"double"},"defratores":{"type":"number","format":"double"},"neutros":{"type":"number","format":"double"},"nps":{"type":"number","format":"double"}}},"FeedbackResponseDto":{"type":"object","properties":{"feedbackBoolean":{"type":"array","items":{"$ref":"#/components/schemas/EvolutionFeedbackResponseDto"}},"feedbackStars":{"type":"array","items":{"$ref":"#/components/schemas/EvolutionFeedbackResponseDto"}},"feedbackNps":{"type":"array","items":{"$ref":"#/components/schemas/EvolutionFeedbackResponseDto"}},"responseRateBoolean":{"type":"number","format":"double"},"responseRateStars":{"type":"number","format":"double"},"responseRateNps":{"type":"number","format":"double"},"averageStars":{"type":"number","format":"double"},"averageBoolean":{"type":"array","items":{"$ref":"#/components/schemas/EvolutionAverageResponseDto"}},"averageNps":{"$ref":"#/components/schemas/FeedbackAverageNpsResponseDto"}}},"BotTalkFeedbackDto":{"type":"object","properties":{"feedbackStars":{"type":"integer","format":"int64"},"feedbackNps":{"type":"integer","format":"int64"},"feedbackComment":{"type":"string"},"feedbackBoolean":{"type":"boolean"},"feedbackOptional":{"type":"boolean"},"feedbackType":{"type":"string"},"createdDate":{"type":"string"},"customerEmail":{"type":"string"},"customerName":{"type":"string"},"talkId":{"type":"integer","format":"int64"},"nameBlock":{"type":"string"},"dateInt":{"type":"integer","format":"int32"}}},"PageBotTalkFeedbackDto":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkFeedbackDto"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"empty":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"BotTalkBlocksDto":{"type":"object","properties":{"name":{"type":"string"},"accessed":{"type":"integer","format":"int32"},"abandoned":{"type":"integer","format":"int32"},"finish":{"type":"integer","format":"int32"},"retention":{"type":"integer","format":"int32"},"blockId":{"type":"integer","format":"int32"}}},"BotTalkBlocksRetentionDto":{"type":"object","properties":{"name":{"type":"string"},"accessed":{"type":"integer","format":"int32"},"retention":{"type":"integer","format":"int32"},"transhipment":{"type":"integer","format":"int32"},"blockId":{"type":"integer","format":"int32"}}},"BotTalkBlocksOldDto":{"type":"object","properties":{"name":{"type":"string"},"accessed":{"type":"integer","format":"int32"},"abandoned":{"type":"integer","format":"int32"},"finish":{"type":"integer","format":"int32"}}},"BotTalkTotalRetentionInteractedDto":{"type":"object","properties":{"total":{"type":"integer","format":"int32"},"engajement":{"type":"string"},"retention":{"type":"string"},"totalMsgsApi":{"type":"integer","format":"int64"},"totalMsgsCampaign":{"type":"integer","format":"int64"},"totalEngaged":{"type":"integer","format":"int64"},"totalGeral":{"type":"integer","format":"int32"},"retentionTotal":{"type":"integer","format":"int32"},"contract":{"type":"boolean"}}},"InteractedChatsResponseDto":{"type":"object","properties":{"labels":{"type":"array","items":{"type":"string"}},"quantidades":{"type":"array","items":{"type":"number","format":"float"}},"quantidadesDay":{"type":"array","items":{"type":"number","format":"float"}}}},"EvolutionRetentionResponseDto":{"type":"object","properties":{"count":{"type":"integer","format":"int64"},"evolutionRetention":{"type":"number"},"labels":{"type":"array","items":{"type":"string"}},"quantidades":{"type":"array","items":{"type":"number"}},"quantidadesDay":{"type":"array","items":{"type":"string"}}}},"BotTalkEvolutionInteractionDto":{"type":"object","properties":{"averagesDay":{"type":"array","items":{"type":"number","format":"float"}},"labelsDay":{"type":"array","items":{"type":"string"}},"amountInteracted":{"type":"integer","format":"int32"},"amountTalk":{"type":"integer","format":"int32"},"averages":{"type":"array","items":{"type":"number","format":"float"}},"labels":{"type":"array","items":{"type":"string"}}}},"BotTalkEvolutionInteractionUserDto":{"type":"object","properties":{"amountInteracted":{"type":"integer","format":"int64"},"amountTalk":{"type":"integer","format":"int64"}}},"DeviceIndicatorResponseDto":{"type":"object","properties":{"mobile":{"type":"integer","format":"int64"},"desktop":{"type":"integer","format":"int64"}}},"AverageTimeResponseDto":{"type":"object","properties":{"averagesDayTime":{"type":"array","items":{"type":"number","format":"float"}},"labelsDayTime":{"type":"array","items":{"type":"string"}},"averagesTime":{"type":"array","items":{"type":"number","format":"float"}},"labelsTime":{"type":"array","items":{"type":"string"}}}},"TalkTimeIndicatorResponseDto":{"type":"object","properties":{"average":{"type":"string"}}},"GenericLabelValueDto":{"type":"object","properties":{"label":{"type":"string"},"value":{"type":"integer","format":"int64"}}},"HistoryTalkDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"customerName":{"type":"string"},"customerEmail":{"type":"string"},"tags":{"type":"string"},"history":{"type":"string"},"historyShort":{"type":"string"},"jsonHistory":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"customColumn":{"type":"object","additionalProperties":{"type":"string"}},"engaged":{"type":"boolean"}}},"AccountDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"document":{"type":"string"},"enabled":{"type":"boolean"},"planId":{"type":"integer","format":"int64"},"planName":{"type":"string"},"specialType":{"type":"integer","format":"int64"},"whatsApp":{"type":"boolean"},"refreshedToken":{"type":"string"},"address":{"$ref":"#/components/schemas/AddressDto"},"planCicle":{"type":"string","enum":["YEARLY","MONTHLY"]},"paymentMethod":{"type":"string","enum":["CREDIT_CARD","OTHERS"]},"ownerId":{"type":"integer","format":"int64"},"ownerName":{"type":"string"},"ownerEmail":{"type":"string"},"role":{"type":"string","enum":["ROLE_ROOT","ROLE_ADMIN","ROLE_USER","ROLE_PARTNER"]},"externalId":{"type":"integer","format":"int64"},"packageEnabled":{"type":"boolean"},"packageEnabledAt":{"type":"string","format":"date-time"},"isvSunco":{"type":"boolean"},"captchaEnabledDate":{"type":"string","format":"date-time"},"captchaDisableDate":{"type":"string","format":"date-time"}}},"AddressDto":{"type":"object","properties":{"country":{"type":"string"},"zipCode":{"type":"string"},"street":{"type":"string"},"number":{"type":"integer","format":"int32"},"complement":{"type":"string"},"district":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"}}},"AccountMonthlyReportDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"plan":{"type":"string"},"account":{"type":"string"},"accountId":{"type":"integer","format":"int64"},"monthYear":{"type":"string"},"botsQuantity":{"type":"integer","format":"int32"},"contractType":{"type":"boolean"},"accountEnable":{"type":"boolean"},"whatsApp":{"type":"boolean"},"qtyMsgsCampaign":{"type":"integer","format":"int32"},"qtyMsgsCampaignLimit":{"type":"integer","format":"int32"},"talksUsed":{"type":"integer","format":"int32"},"talksLimit":{"type":"integer","format":"int32"},"botsUsed":{"type":"integer","format":"int32"},"botsLimit":{"type":"integer","format":"int32"},"connectorsUsed":{"type":"integer","format":"int32"},"connectorsLimit":{"type":"integer","format":"int32"}}},"PageAccountMonthlyReportDto":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AccountMonthlyReportDto"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageAccountDto":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AccountDto"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"AccountReportDto":{"type":"object","properties":{"avaliableTalk":{"type":"integer","format":"int64"},"totalTalk":{"type":"integer","format":"int64"},"totalCampaignActive":{"type":"integer","format":"int64"},"qtyMsgsCampaign":{"type":"integer","format":"int64"},"qtyMsgsApi":{"type":"integer","format":"int64"},"qtdMsgCampaignAvaliable":{"type":"integer","format":"int64"},"connectorsDisponible":{"type":"integer","format":"int64"},"totalConnectorsActive":{"type":"integer","format":"int64"},"botDisponible":{"type":"integer","format":"int64"},"totalBotActive":{"type":"integer","format":"int64"}}},"AccountReportBotDto":{"type":"object","properties":{"botId":{"type":"string"},"nameBot":{"type":"string"},"monthYear":{"type":"string"},"totalTalk":{"type":"string"},"totalTalkFinished":{"type":"string"},"totalTalkClosed":{"type":"string"},"totalTalkUnique":{"type":"string"},"totalTalkInteracted":{"type":"string"},"percentageRetention":{"type":"string"},"percentageEngajement":{"type":"string"},"totalMsgsCampaign":{"type":"integer","format":"int32"},"totalMsgsApi":{"type":"integer","format":"int32"},"sendMessages":{"type":"integer","format":"int32"},"engagementMessages":{"type":"integer","format":"int32"},"deleted":{"type":"boolean"},"concierge":{"type":"boolean"}}},"FranquiaUsageBotDto":{"type":"object","properties":{"botId":{"type":"integer","format":"int64"},"botName":{"type":"string"},"totalTalk":{"type":"integer","format":"int64"},"totalCampaign":{"type":"integer","format":"int64"}}},"FranquiaUsageDto":{"type":"object","properties":{"accountId":{"type":"integer","format":"int64"},"accountName":{"type":"string"},"planName":{"type":"string"},"contractType":{"type":"string"},"contractStartDate":{"type":"string","format":"date-time"},"contractEndDate":{"type":"string","format":"date-time"},"conversationsLimit":{"type":"integer","format":"int64"},"totalConversations":{"type":"integer","format":"int64"},"campaignLimit":{"type":"integer","format":"int64"},"totalCampaignMessages":{"type":"integer","format":"int64"},"botsLimit":{"type":"integer","format":"int64"},"totalBotsUsed":{"type":"integer","format":"int64"},"connectorsLimit":{"type":"integer","format":"int64"},"totalConnectorsUsed":{"type":"integer","format":"int64"},"limitExceeded":{"type":"boolean"},"contractExpired":{"type":"boolean"},"remainingConversations":{"type":"integer","format":"int64"},"usagePercentage":{"type":"number","format":"double"},"bots":{"type":"array","items":{"$ref":"#/components/schemas/FranquiaUsageBotDto"}}}},"FranquiaMonthlyUsageDto":{"type":"object","properties":{"month":{"type":"integer","format":"int32"},"year":{"type":"integer","format":"int32"},"periodStart":{"type":"string","format":"date-time"},"periodEnd":{"type":"string","format":"date-time"},"totalConversations":{"type":"integer","format":"int64"},"totalCampaignMessages":{"type":"integer","format":"int64"}}},"AccountReportEvolutionDto":{"type":"object","properties":{"accesses":{"type":"string"},"monthYear":{"type":"string"}}},"HistoryJson":{"type":"object","properties":{"role":{"type":"string"},"message":{"type":"string"},"timestamp":{"type":"string"},"blockName":{"type":"string"},"short":{"type":"string"}}},"HistoryTalkResponseDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"customerName":{"type":"string"},"customerEmail":{"type":"string"},"tags":{"type":"string"},"history":{"type":"string"},"jsonHistory":{"$ref":"#/components/schemas/HistoryTalkResponseJsonDto"},"createdDate":{"type":"string","format":"date-time"},"engaged":{"type":"boolean"},"externalId":{"type":"string"}}},"HistoryTalkResponseJsonDto":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string"},"avatar":{"type":"string"},"externalId":{"type":"string"},"contactType":{"type":"string"},"history":{"type":"array","items":{"$ref":"#/components/schemas/HistoryJson"}},"extras":{"type":"object","additionalProperties":{"type":"object"}}}},"AccountConnectorDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"varnameIndex":{"type":"string"},"endpoint":{"type":"string"},"tlsCompatibility":{"type":"boolean"},"undefinedVariables":{"type":"boolean"},"commasUndefinedVariables":{"type":"boolean"},"timeout":{"type":"integer","format":"int32"},"method":{"type":"string"},"request":{"type":"string"},"variables":{"type":"string"},"credentials":{"$ref":"#/components/schemas/ConnectorCredentialsDto"},"headers":{"type":"array","items":{"$ref":"#/components/schemas/ConnectorParameterDto"}},"urlParameters":{"type":"array","items":{"$ref":"#/components/schemas/ConnectorParameterDto"}},"logsErro":{"type":"integer","format":"int64"},"accountId":{"type":"integer","format":"int64"},"enabled":{"type":"boolean"},"hasOriginal":{"type":"boolean"},"hasAttachment":{"type":"boolean"},"hasArrayObject":{"type":"boolean"},"variableAttachment":{"type":"string"},"qtdLogsErro":{"type":"integer","format":"int64"},"mediaType":{"type":"string"},"secureToken":{"type":"boolean"}}},"ConnectorCredentialsDto":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"secret":{"type":"string"},"token":{"type":"string"},"tokenSecret":{"type":"string"}}},"ConnectorMarketplaceDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"description":{"type":"string"},"method":{"type":"string"},"request":{"type":"string"},"variables":{"type":"string"},"iconUrl":{"type":"string"},"accountConnector":{"$ref":"#/components/schemas/AccountConnectorDto"}}},"ConnectorParameterDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"value":{"type":"string"},"private":{"type":"boolean"},"secureToken":{"type":"boolean"}}},"AccountConnectorErrorDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"botId":{"type":"integer","format":"int64"},"botName":{"type":"string"},"qtdLogsErro":{"type":"integer","format":"int64"}}},"BotTalkOnlineIdleDto":{"type":"object","properties":{"talkId":{"type":"integer","format":"int64"},"customerName":{"type":"string"},"customerEmail":{"type":"string"},"date":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["ONLINE","IDLE","FINISHED","ABANDONED","NO_INTERACTION","REDIRECT_CHAT","REDIRECT_SUPPORT","REDIRECT_TICKET","REDIRECT_BOT","NO_TICKET","FINISHED_NO_RETENTION","REDIRECT_DROZCHAT","REDIRECT_CUSTOM"]},"simulator":{"type":"boolean"},"duration":{"type":"integer","format":"int32"},"originalTalkId":{"type":"integer","format":"int64"},"globalUserId":{"type":"integer","format":"int64"},"phone":{"type":"string"},"lastStep":{"type":"string"},"blockId":{"type":"integer","format":"int64"},"blockName":{"type":"string"},"contentID":{"type":"integer","format":"int64"}}},"PageBotTalkOnlineIdleDto":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/BotTalkOnlineIdleDto"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"HistoryTalkDatatableV2Dto":{"type":"object","properties":{"draw":{"type":"integer","format":"int64"},"recordsTotal":{"type":"integer","format":"int64"},"recordsDisplay":{"type":"integer","format":"int64"},"recordsFiltered":{"type":"integer","format":"int64"},"pages":{"type":"integer","format":"int64"},"start":{"type":"integer","format":"int64"},"length":{"type":"integer","format":"int64"},"page":{"type":"integer","format":"int64"},"data":{"type":"array","items":{"$ref":"#/components/schemas/HistoryTalkResponseV2Dto"}}}},"HistoryTalkResponseV2Dto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"talkId":{"type":"integer","format":"int64"},"botId":{"type":"integer","format":"int64"},"customerName":{"type":"string"},"customerEmail":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"engaged":{"type":"boolean"},"externalId":{"type":"string"}}},"AccountDataSenseDataDto":{"type":"object","properties":{"plan":{"type":"string"},"botQuantity":{"type":"integer","format":"int64"},"connectorsQuantity":{"type":"integer","format":"int64"},"connectorsContracted":{"type":"integer","format":"int64"},"integrationsQuantity":{"type":"integer","format":"int64"},"botList":{"type":"array","items":{"$ref":"#/components/schemas/BotSensedataDto"}},"quantityOfServices":{"type":"integer","format":"int64"},"quantityOfContractedServices":{"type":"integer","format":"int64"},"quantityOfActiveShots":{"type":"integer","format":"int64"},"quantityOfActiveShotsLimit":{"type":"integer","format":"int64"}}},"AccountSenseDataDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"account":{"type":"string"},"document":{"type":"string"},"externalId":{"type":"integer","format":"int64"},"data":{"$ref":"#/components/schemas/AccountDataSenseDataDto"}}},"BotSensedataDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"nome":{"type":"string"},"tipo":{"type":"string"},"retentionPercentage":{"type":"number","format":"double"},"percentageOfDropouts":{"type":"number","format":"double"},"percentageOfTransshipments":{"type":"number","format":"double"}}},"PageAccountSenseDataDto":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AccountSenseDataDto"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}}},"securitySchemes":{"bearerAuth":{"type":"http","name":"bearerAuth","scheme":"bearer","bearerFormat":"JWT"}}}}